View Issue Details

IDProjectCategoryView StatusLast Update
16462Bug reportsQuestion editorpublic2021-03-29 12:31
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.8 
Summary16462: Relavance Equation not in Sync with Condition Designed
DescriptionTest #1:
After duplicating a survey, we tried to remove the conditions through the relevance equation (didn't know it was a condition, thought it was relevace). We were able to do it and it worked good.

That lead to false expectations as you may set the relevance equation to 1 but the condition are still on the DB. When exporting and importing conditions took precedence and things were not working as expected. (see steps below).

Test #2: While truobleshooting, ...
When entering a condition in the designer, the relevance equation is not updated.
Also, the relevance equation is not set to readonly nor the "there is a condition" tip appears.
Steps To ReproduceThis is what happened to us:

1- On LS4, we duplicated an existing testing survey which was using conditions.
   Conditions are shown as equations on the "relevance" attribute (the one use for showing and hidding), so they look kind of the same.
   On v3 you can tell if there is a condition or a relevance equation because the relevance equation is readonly when there is a condition, as well as being a tip letting you know about the situation.
   Still, on v4, the readonly mechanism and the tip seemed to have gone away. So you can't tell at first sight if there is a condition or a relevance equation.
2- We removed the relevance equation (set it to "1" - alwasys shown) and things looked good on our environment. Still, seems that on the database, the conditions were still there.
3 - When exporting the LSS, the conditions were exported as well.
4 - When importing the LSS, it seems the conditions took precendece over the relevance equation, so some questions were shown depending on the answers of others.
    
The initial reaction and interpreation of what happened was "questions are shown randomly".
Still, it wasn't that but the conditions doing their work.
Later, when we found out, we removed the conditions from the condition editor, exported and then everything worked out good.
Additional InformationTested this also on 4.2.1
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 17129 closedollehar relevance equation changes automatically from OR to AND 

Activities

DenisChenu

DenisChenu

2020-07-07 08:24

developer   ~58730

> Still, on v4, the readonly mechanism and the tip seemed to have gone away. So you can't tell at first sight if there is a condition or a relevance equation.

1st to be fixed in my opinion.

> 2- We removed the relevance equation (set it to "1" - alwasys shown) and things looked good on our environment. Still, seems that on the database, the conditions were still there.

Question :
1. What happen if you start the survey
2. What happen if you look at Survey logic file
gabrieljenik

gabrieljenik

2020-07-07 16:24

manager   ~58756

> What happen if you start the survey

All went as expected by the user. The relevance equation (which was 1) took precedence over the condition (which we didn't know it was there yet).

> What happen if you look at Survey logic file

We haven't tried that. I gues it is a good spot to double check when dealing with this bug.
ollehar

ollehar

2021-03-10 17:12

administrator   ~63056

You're using an outdated version of LimeSurvey. Please update to the latest version and check if the bug can still be reproduced. Thank you.
gabrieljenik

gabrieljenik

2021-03-22 16:58

manager   ~63550

Last edited: 2021-03-22 16:58

View 2 revisions

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1809
Fixing stuff on GeneralOptionWidget. Attributes were not being implemented in the view.

Bear in mind the classes attribute sent from RelevanceEquationGeneralOption is overwriten by GeneralOptionWidget.
gabrieljenik

gabrieljenik

2021-03-25 14:08

manager   ~63601

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31380
lime_release_bot

lime_release_bot

2021-03-29 12:31

administrator   ~63689

Fixed in Release 4.4.15+210329

Related Changesets

LimeSurvey: master 22e72602

2021-03-25 14:08:28

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16462: Relavance Equation not in Sync with Condition Designed (#1809)

* Fixed issue 16462: Relavance Equation not in Sync with Condition Designed
Affected Issues
16462
mod - application/extensions/GeneralOptionWidget/GeneralOptionWidget.php Diff File
mod - application/extensions/GeneralOptionWidget/settings/RelevanceEquationGeneralOption.php Diff File
mod - application/extensions/GeneralOptionWidget/views/text.php Diff File

Issue History

Date Modified Username Field Change
2020-07-06 21:25 gabrieljenik New Issue
2020-07-07 08:24 DenisChenu Note Added: 58730
2020-07-07 16:24 gabrieljenik Note Added: 58756
2021-03-10 17:12 ollehar Assigned To => ollehar
2021-03-10 17:12 ollehar Status new => feedback
2021-03-10 17:12 ollehar Note Added: 63056
2021-03-22 16:58 gabrieljenik Note Added: 63550
2021-03-22 16:58 gabrieljenik Status feedback => assigned
2021-03-22 16:58 gabrieljenik Note Edited: 63550 View Revisions
2021-03-24 17:38 c_schmitz Relationship added related to 17129
2021-03-25 14:08 gabrieljenik Changeset attached => LimeSurvey master 22e72602
2021-03-25 14:08 gabrieljenik Note Added: 63601
2021-03-25 14:08 gabrieljenik Assigned To ollehar => gabrieljenik
2021-03-25 14:08 gabrieljenik Resolution open => fixed
2021-03-25 14:09 c_schmitz Status assigned => resolved
2021-03-29 12:31 lime_release_bot Note Added: 63689
2021-03-29 12:31 lime_release_bot Status resolved => closed